Subject: [VRRP] RE: comment for draft-ietf-vrrp-unified-spec-00

From: "Stephen Nadas" <[email-masked]>
Date: Wed, 23 Jan 2008 08:37:41 -0600

Hello Tomohiko, 

Thank you for your comment.  I am copying to the vrrp list as well for
any comments WG may have.    

Regards,
Steve 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Wednesday, January 23, 2008 12:54 AM
> To: Stephen Nadas
> Subject: comment for draft-ietf-vrrp-unified-spec-00
> 
> Hello,
> 
> This is Tomohiko Kurahashi from IIJ which is an ISP in Japan.
> I have a comment for draft-ietf-vrrp-unified-spec-00, with 
> regard to the interaction with IPv6 Router Advertisements (RAs).
> 
> According to the draft, Master router (only) sends RA packets 
> for a virtual router, whose source address is the IPv6 
> link-local address associated with the virtual router (e.g. 
> link-local address of address owner), and source link-layer 
> address option is the virtual router MAC address.
> 
> In other hand, according to RFC 2461, both Master and Backup 
> routers are also able to send RA packets for themselves, 
> whose source address is their interface IPv6 link-local 
> address, and source link-layer address option is their 
> interface MAC address.
> 
> Under such situation that both kinds of RAs mentioned above 
> are being advertised, some hosts receiving former (first) may 
> set their default route to the virtual router, and others 
> receiving latter (first) may set to one of real routers. This 
> must be an unwilling result for network managers/administrators.
> 
> I think it should be mentioned explicitly in the draft that 
> VRRP routers MUST stop advertising the latter kind of RAs 
> automatically (or by configuration).
> 
> FYI, the following is Cisco manual of HSRP for IPv6.
> http://www.cisco.com/en/US/products/ps6350/products_configurat
> ion_guide_chapter09186a008078f345.html#wp1066077
> 
> I'm glad if you take my comment into consideration.
> 
> Best regards,
> --
> Tomohiko Kurahashi <[email-masked]>
> Internet Initiative Japan Inc.
> 

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp